diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index d825fdd..e2b7008 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -3643,10 +3643,6 @@ SIAM J. Sci. Statist. Comput. 3 387--407. (1982)
 ``Givens Rotations''\\
 \verb|en.wikipedia.org/wiki/Givens_rotation|
 
-\bibitem[Wiki 4]{Wiki4}.\\
-``Polynomial greatest common divisor''\\
-\verb|en.wikipedia.org/wiki/Polynomial_greatest_common_divisor|
-
 \bibitem[Williamson 85]{Wil85} Williamson, S.G.\\
 ``Combinatorics for Computer Science''\\
 Computer Science Press, 1985.
@@ -3923,6 +3919,24 @@ The first and second algorithms are deterministic, the third is
 probabilistic.
 \end{adjustwidth}
 
+\bibitem[van Hoeij]{Hoeij04} Hoeij, Mark van; Monagen, Michael\\
+``Algorithms for Polynomial GCD Computation over Algebraic Function Fields''\\
+\verb|www.cecm.sfu.ca/personal/mmonagan/papers/AFGCD.pdf|
+%\verb|axiom-developer.org/axiom-website/papers/Hoeij04.pdf|
+
+\begin{adjustwidth}{2.5em}{0pt}
+Let $L$ be an algebraic function field in $k \ge 0$ parameters
+$t_1,\ldots,t)k$. Let $f_1$, $f_2$ be non-zero polynomials in
+$L[x]$. We give two algorithms for computing their gcd. The first, a
+modular GCD algorithm, is an extension of the modular GCD algorithm
+for Brown for {\bf Z}$[x_1,\ldots,x_n]$ and Encarnacion for {\bf
+Q}$(\alpha[x])$ to function fields. The second, a fraction-free
+algorithm, is a modification of the Moreno Maza and Rioboo algorithm
+for computing gcds over triangular sets. The modification reduces
+coefficient grownth in $L$ to be linear.  We give an empirical
+comparison of the two algorithms using implementations in Maple.
+\end{adjustwidth}
+
 \bibitem[Wang 78]{Wang78} Wang, Paul S.\\
 ``An Improved Multivariate Polynomial Factoring Algorithm''\\
 Mathematics of Computation, Vol 32, No 144 Oct 1978, pp1215-1231
@@ -3944,6 +3958,10 @@ requires less store than the original algorithm. Machine examples with
 comparative timing are included.
 \end{adjustwidth}
 
+\bibitem[Wiki 4]{Wiki4}.\\
+``Polynomial greatest common divisor''\\
+\verb|en.wikipedia.org/wiki/Polynomial_greatest_common_divisor|
+
 \subsection{Category Theory} %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 \bibitem[Baez 09]{Baez09} Baez, John C.; Stay, Mike\\
diff --git a/changelog b/changelog
index 2be237f..fb50413 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140715 tpd src/axiom-website/patches.html 20140715.01.tpd.patch
+20140715 tpd books/bookvolbib add Hoeij04
 20140713 tpd src/axiom-website/patches.html 20140713.01.tpd.patch
 20140713 tpd books/bookvol10 absorb src/algebra/Makefile
 20140712 tpd src/axiom-website/patches.html 20140712.01.tpd.patch
diff --git a/patch b/patch
index 8fe462b..11d71bd 100644
--- a/patch
+++ b/patch
@@ -1,4 +1,5 @@
-books/bookvol10 absorb src/algebra/Makefile
+books/bookvolbib add Hoeij04
  
-Volume 10 explains the algebra implementation.
-Most of these details are in the algebra Makefile.
+\bibitem[van Hoeij]{Hoeij04} Hoeij, Mark van; Monagen, Michael
+Algorithms for Polynomial GCD Computation over Algebraic Function Fields
+www.cecm.sfu.ca/personal/mmonagan/papers/AFGCD.pdf
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a519aab..387e9c5 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4548,6 +4548,8 @@ books/bookvol5 GCL 2.6.10 assoc sematics change requires GETL fix
 books/bookvol5  remove compression
 <a href="patches/20140713.01.tpd.patch">20140713.01.tpd.patch</a>
 books/bookvol10 absorb src/algebra/Makefile
+<a href="patches/20140715.01.tpd.patch">20140715.01.tpd.patch</a>
+books/bookvolbib add Hoeij04
  </body>
 </html>
 
